import QtQuick 1.1

/**
 * Mapping of what v4l2 norms need to be set to play channels on the serial tuner
 *
 * NOTE: This applies to the Serial Tuner ONLY.
 */

ListModel
{
    function findByCountryId(countryId) {
        var i
        for (i = 0; i < count; i++) {
            if (get(i).countryId === countryId) {
                return get(i)
            }
        }
        return null
    }

    ListElement { countryId: 0x01; analogNorm: "PAL"; digitalNorm: "PAL" } /* Albania */
    ListElement { countryId: 0x07; analogNorm: "PAL_NC"; digitalNorm: "PAL" } /* Argentina */
    ListElement { countryId: 0x09; analogNorm: "PAL"; digitalNorm: "PAL" } /* Australia */
    ListElement { countryId: 0x0A; analogNorm: "PAL"; digitalNorm: "PAL" } /* Austria */
    ListElement { countryId: 0x0B; analogNorm: "PAL"; digitalNorm: "PAL" } /* Azerbaijan */
    ListElement { countryId: 0x10; analogNorm: "SECAM"; digitalNorm: "SECAM" } /* Belarus */
    ListElement { countryId: 0x11; analogNorm: "PAL"; digitalNorm: "PAL" } /* Belgium */
    ListElement { countryId: 0x15; analogNorm: "NTSC"; digitalNorm: "NTSC" } /* Bolivia */
    ListElement { countryId: 0x17; analogNorm: "PAL_M"; digitalNorm: "PAL_60" } /* Brazil */
    ListElement { countryId: 0x18; analogNorm: "PAL"; digitalNorm: "PAL" } /* Brunei */
    ListElement { countryId: 0x19; analogNorm: "PAL"; digitalNorm: "PAL" } /* Bulgaria */
    ListElement { countryId: 0x1D; analogNorm: "NTSC_M"; digitalNorm: "NTSC" } /* Chile */
    ListElement { countryId: 0x1E; analogNorm: "PAL"; digitalNorm: "PAL" } /* China (mainland) */
    ListElement { countryId: 0x41; analogNorm: "PAL"; digitalNorm: "PAL" } /* China (Hong Kong) */
    ListElement { countryId: 0x1F; analogNorm: "NTSC"; digitalNorm: "NTSC" } /* Columbia */
    ListElement { countryId: 0x21; analogNorm: "NTSC"; digitalNorm: "NTSC" } /* Costa Rica */
    ListElement { countryId: 0x22; analogNorm: "PAL"; digitalNorm: "PAL" } /* Croatia */
    ListElement { countryId: 0x24; analogNorm: "PAL"; digitalNorm: "PAL" } /* Cyprus */
    ListElement { countryId: 0x25; analogNorm: "PAL"; digitalNorm: "PAL_DK" } /* Czech Republic */
    ListElement { countryId: 0x26; analogNorm: "PAL"; digitalNorm: "PAL" } /* Denmark */
    ListElement { countryId: 0x2A; analogNorm: "NTSC"; digitalNorm: "NTSC" } /* Ecuador */
    ListElement { countryId: 0x2B; analogNorm: "PAL"; digitalNorm: "PAL" } /* Egypt */
    ListElement { countryId: 0x2D; analogNorm: "PAL"; digitalNorm: "PAL" } /* Estonia */
    ListElement { countryId: 0x30; analogNorm: "PAL"; digitalNorm: "PAL" } /* Finland */
    ListElement { countryId: 0x31; analogNorm: "SECAM"; digitalNorm: "SECAM" } /* France */
    ListElement { countryId: 0x35; analogNorm: "PAL"; digitalNorm: "PAL" } /* Germany */
    ListElement { countryId: 0x36; analogNorm: "PAL"; digitalNorm: "PAL" } /* Greece */
    ListElement { countryId: 0x3A; analogNorm: "NTSC"; digitalNorm: "NTSC" } /* Guatemala */
    ListElement { countryId: 0x42; analogNorm: "PAL"; digitalNorm: "PAL" } /* Hungary */
    ListElement { countryId: 0x43; analogNorm: "PAL"; digitalNorm: "PAL" } /* Iceland */
    ListElement { countryId: 0x44; analogNorm: "PAL"; digitalNorm: "PAL" } /* India */
    ListElement { countryId: 0x45; analogNorm: "PAL"; digitalNorm: "PAL" } /* Indonesia */
    ListElement { countryId: 0x48; analogNorm: "PAL"; digitalNorm: "PAL" } /* Ireland */
    ListElement { countryId: 0x49; analogNorm: "PAL"; digitalNorm: "PAL" } /* Israel */
    ListElement { countryId: 0x4A; analogNorm: "PAL"; digitalNorm: "PAL" } /* Italy */
    ListElement { countryId: 0x4D; analogNorm: "NTSC"; digitalNorm: "NTSC" } /* Japan */
    ListElement { countryId: 0x4F; analogNorm: "SECAM"; digitalNorm: "SECAM" } /* Kazakhstan */
    ListElement { countryId: 0x51; analogNorm: "PAL"; digitalNorm: "PAL" } /* Kuwait */
    ListElement { countryId: 0x52; analogNorm: "PAL"; digitalNorm: "PAL" } /* Latvia */
    ListElement { countryId: 0x57; analogNorm: "PAL"; digitalNorm: "PAL" } /* Lithuania */
    ListElement { countryId: 0x58; analogNorm: "PAL"; digitalNorm: "PAL" } /* Luxembourg */
    ListElement { countryId: 0x5A; analogNorm: "PAL"; digitalNorm: "PAL" } /* Macedonia */
    ListElement { countryId: 0x5D; analogNorm: "PAL"; digitalNorm: "PAL" } /* Malaysia */
    ListElement { countryId: 0x5E; analogNorm: "PAL"; digitalNorm: "PAL" } /* Maldives */
    ListElement { countryId: 0xA8; analogNorm: "PAL"; digitalNorm: "PAL" } /* Montenegro */
    ListElement { countryId: 0x3F; analogNorm: "PAL"; digitalNorm: "PAL" } /* Netherlands (Holland) */
    ListElement { countryId: 0x6A; analogNorm: "PAL"; digitalNorm: "PAL" } /* New Zealand */
    ListElement { countryId: 0x6E; analogNorm: "PAL"; digitalNorm: "PAL" } /* Norway */
    ListElement { countryId: 0x71; analogNorm: "NTSC"; digitalNorm: "NTSC" } /* Panama */
    ListElement { countryId: 0x73; analogNorm: "NTSC"; digitalNorm: "NTSC" } /* Peru */
    ListElement { countryId: 0x74; analogNorm: "NTSC"; digitalNorm: "NTSC" } /* Philippines */
    ListElement { countryId: 0x75; analogNorm: "PAL"; digitalNorm: "PAL" } /* Poland */
    ListElement { countryId: 0x76; analogNorm: "PAL"; digitalNorm: "PAL" } /* Portugal */
    ListElement { countryId: 0x78; analogNorm: "PAL"; digitalNorm: "PAL" } /* Qatar */
    ListElement { countryId: 0x7A; analogNorm: "PAL"; digitalNorm: "PAL" } /* Romania */
    ListElement { countryId: 0x7B; analogNorm: "SECAM"; digitalNorm: "SECAM" } /* Russia */
    ListElement { countryId: 0x7F; analogNorm: "PAL"; digitalNorm: "PAL" } /* Saudi Arabia */
    ListElement { countryId: 0x83; analogNorm: "PAL"; digitalNorm: "PAL" } /* Singapore */
    ListElement { countryId: 0x84; analogNorm: "PAL"; digitalNorm: "PAL" } /* Slovakia */
    ListElement { countryId: 0x85; analogNorm: "PAL"; digitalNorm: "PAL" } /* Slovenia */
    ListElement { countryId: 0x80; analogNorm: "PAL"; digitalNorm: "PAL" } /* Serbia */
    ListElement { countryId: 0x8B; analogNorm: "NTSC"; digitalNorm: "NTSC" } /* Suriname */
    ListElement { countryId: 0x88; analogNorm: "PAL"; digitalNorm: "PAL" } /* Spain */
    ListElement { countryId: 0x8C; analogNorm: "PAL"; digitalNorm: "PAL" } /* Sweden */
    ListElement { countryId: 0x8D; analogNorm: "PAL"; digitalNorm: "PAL" } /* Switzerland */
    ListElement { countryId: 0x90; analogNorm: "NTSC"; digitalNorm: "NTSC" } /* Taiwan */
    ListElement { countryId: 0x92; analogNorm: "PAL"; digitalNorm: "PAL" } /* Thailand */
    ListElement { countryId: 0x96; analogNorm: "PAL"; digitalNorm: "PAL" } /* Turkey */
    ListElement { countryId: 0xA7; analogNorm: "SECAM"; digitalNorm: "SECAM" } /* Turkmenistan */
    ListElement { countryId: 0x9A; analogNorm: "PAL"; digitalNorm: "PAL" } /* United Arab Emirates */
    ListElement { countryId: 0x9B; analogNorm: "PAL"; digitalNorm: "PAL" } /* United Kingdom */
    ListElement { countryId: 0x9C; analogNorm: "PAL_NC"; digitalNorm: "PAL" } /* Uruguay */
    ListElement { countryId: 0x9F; analogNorm: "NTSC"; digitalNorm: "NTSC" } /* Venezuela */
    ListElement { countryId: 0xA0; analogNorm: "PAL"; digitalNorm: "PAL" } /* Vietnam */
}
